---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get gateway options

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/get-gateway-options": {
      "summary": "This specification provides the details to get gateway options for the customer",
      "post": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_get_gateway_options_requestData"
              },
              "examples": {
                "get gateway options": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "version": "1.3",
                    "timestamp": 1590613956,
                    "transaction_type": "payout"
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Manage Payment Request"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_get_gateway_options"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-gateways-options-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "getGatewayOptions",
        "summary": "Get gateway options"
      }
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "gateway": {
        "description": "Gateway doing the processing.",
        "maxLength": 32,
        "type": "string"
      },
      "payment_method": {
        "description": "Payment method.\r\n\r\nThe `payment_method` parameter allows for overriding the specific `gateway` parameter, when utilizing features such as Cascading (for sale) or WD Routing Rules (for payout), for payment methods that support these options.\r\n\r\nIf both parameters `gateway` and `payment_method` received, the `gateway` value will be selected for the processing.",
        "maxLength": 50,
        "type": "string"
      },
      "payment_processor": {
        "description": "Payment processor",
        "maxLength": 50,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "transaction_type": {
        "description": "Transaction type.",
        "maxLength": 16,
        "type": "string"
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "system_name": {
        "description": "Gateway title",
        "maxLength": 100,
        "type": "string"
      },
      "image": {
        "description": "URL of an image corresponding to the payment method",
        "maxLength": 512,
        "type": "string"
      },
      "deposit_supported": {
        "description": "Whether deposit is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "authorization_supported": {
        "description": "Whether authorization is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "payout_supported": {
        "description": "Whether payout is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 1,
        "type": "integer",
        "enum": [
          1,
          0
        ]
      },
      "input_fields": {
        "description": "List of input_field objects, representing the data input fields to be rendered for the full data set required for successful processing. The value may be an empty list if no additional fields are required.",
        "type": "object",
        "properties": {
          "key": {
            "description": "The parameter name as it appears in JSON",
            "maxLength": 32,
            "type": "string"
          },
          "label": {
            "description": "Label for the input",
            "maxLength": 50,
            "type": "string"
          },
          "format": {
            "description": "The field format. Possible values are: integer, text, email, phone, url, hidden",
            "maxLength": 32,
            "type": "string",
            "enum": [
              "integer",
              "text",
              "email",
              "phone",
              "url",
              "hidden"
            ]
          },
          "default_value": {
            "description": "Represents the initial content or pre-selected option.",
            "maxLength": 256,
            "type": "string"
          },
          "required": {
            "description": "Whether the fields is required:\r\n- 1 is required\r\n- 0 isn't required",
            "maxLength": 1,
            "type": "integer",
            "enum": [
              0,
              1
            ]
          },
          "min": {
            "description": "Minimal value (integer) or minimal length (all other formats)",
            "maxLength": 10,
            "type": "integer"
          },
          "max": {
            "description": "Maximum value (integer) or maximum length (all other formats)",
            "maxLength": 10,
            "type": "integer"
          },
          "options": {
            "description": "Options allowed to be selected (applies only if format is 'select')",
            "maxLength": 256,
            "type": "string"
          }
        }
      },
      "refund_supported": {
        "description": "Whether refund is supported:\r\n- 1 is supported\r\n- 0 isn't supported",
        "maxLength": 512,
        "type": "string"
      },
      "payload_get_gateway_options_requestData": {
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "type": "object",
            "properties": {
              "transaction_type": {
                "$ref": "#/components/schemas/transaction_type",
                "enum": [
                  "authorization",
                  "sale",
                  "payout"
                ]
              },
              "gateway": {
                "$ref": "#/components/schemas/gateway"
              }
            }
          }
        ]
      },
      "property_gateway_option": {
        "title": "gateway option",
        "description": "List of gateway options with all available payment methods along with the necessary details to render the appropriate forms for customers. ",
        "required": [
          "payment_method",
          "payment_processor",
          "gateway",
          "system_name",
          "image",
          "status",
          "deposit_supported",
          "authorization_supported",
          "payout_supported",
          "refund_supported",
          "is_3d",
          "input_fields"
        ],
        "type": "object",
        "properties": {
          "payment_method": {
            "$ref": "#/components/schemas/payment_method"
          },
          "payment_processor": {
            "$ref": "#/components/schemas/payment_processor"
          },
          "gateway": {
            "$ref": "#/components/schemas/gateway"
          },
          "system_name": {
            "$ref": "#/components/schemas/system_name"
          },
          "image": {
            "$ref": "#/components/schemas/image"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "deposit_supported": {
            "$ref": "#/components/schemas/deposit_supported"
          },
          "authorization_supported": {
            "$ref": "#/components/schemas/authorization_supported"
          },
          "payout_supported": {
            "$ref": "#/components/schemas/payout_supported"
          },
          "refund_supported": {
            "$ref": "#/components/schemas/refund_supported"
          },
          "is_3d": {
            "description": "Gateway with 3D authorization. For APM it always appears as null, for CC and PCI CC it is string.",
            "maxLength": 4,
            "type": "string"
          },
          "input_fields": {
            "$ref": "#/components/schemas/input_fields"
          }
        }
      },
      "object_response_200_ok_get_gateway_options": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "type": "object",
            "properties": {
              "gateway_options": {
                "description": "List of gateway options with all available payment methods along with the necessary details to render the appropriate forms for customers.",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/property_gateway_option"
                }
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_req_header_signature_params_for_get_gateway_options": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-gateways-options-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_gateway_options"
            },
            "examples": {
              "gateway options found - success response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "gateway_options": [
                    {
                      "payment_method": "Credit Card",
                      "payment_processor": "TestCardProcessor",
                      "gateway": "s-pTSZyK23E1Ee5KZpcNbX_aFl0HuhQ0",
                      "system_name": "CardPay - CC payments",
                      "image": "",
                      "status": "active",
                      "deposit_supported": 1,
                      "authorization_supported": 0,
                      "payout_supported": 1,
                      "refund_supported": 0,
                      "input_fields": []
                    },
                    {
                      "payment_method": "WireOnline",
                      "payment_processor": "TestWallet",
                      "gateway": "XkI4sCxOBpcXylpK3-7ycM39RLTAqsyt",
                      "system_name": "WireOnline - use for EU payments",
                      "image": "",
                      "status": "active",
                      "deposit_supported": 1,
                      "authorization_supported": 0,
                      "payout_supported": 1,
                      "refund_supported": 0,
                      "input_fields": {
                        "input_fields_for_payment": [
                          {
                            "key": "login",
                            "label": "Login",
                            "format": "text",
                            "default_value": "",
                            "required": 0,
                            "min": 0,
                            "max": 50
                          },
                          {
                            "key": "full_name",
                            "label": "Full Name",
                            "format": "text",
                            "default_value": "",
                            "required": 0,
                            "min": 0,
                            "max": 50
                          }
                        ],
                        "input_fields_for_withdrawal": [
                          {
                            "key": "login",
                            "label": "Login",
                            "format": "text",
                            "default_value": "",
                            "required": 0,
                            "min": 0,
                            "max": 50
                          }
                        ]
                      }
                    }
                  ],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              },
              "gateway options not found - failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "gateway_options": [],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```